## cairo-dock 2.2.0~4

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)

########### project ###############

project ("cairo-dock")
set (VERSION "2.2.0-4")

add_definitions (-std=c99 -Wstrict-prototypes -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) #-Wunreachable-code -Wno-unused-parameter -Wall 
if (NOT ${CMAKE_BUILD_TYPE})
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")
add_definitions (-DCAIRO_DOCK_DEFAULT_ICON_NAME="default-icon.svg")
add_definitions (-DCAIRO_DOCK_ICON="cairo-dock.svg")
add_definitions (-DCAIRO_DOCK_LOGO="cairo-dock-logo.png")
add_definitions (-DCAIRO_DOCK_DATA_DIR="cairo-dock")
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

############ sources tarball ############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES 
	"/build/;/.bzr/;bzrignore$;/config.h$;/scripts/;/doc/;/misc/;en_GB.po$;~$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target( dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})
set (prefix ${CMAKE_INSTALL_PREFIX})
set (exec_prefix ${prefix})
set (datadir ${prefix}/share)
set (pkgdatadir ${datadir}/cairo-dock)
set (mandir ${datadir}/man)

if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND NOT "${FORCE_LIB64}" STREQUAL "")  # 64bits and force install in lib64
	set (libdir ${prefix}/lib64)
else()
	set (libdir ${prefix}/lib${LIB_SUFFIX})
endif()

set (includedir ${prefix}/include)
set (bindir ${prefix}/bin)

########### dependencies ###############

pkg_check_modules ("PACKAGE" REQUIRED "gtk+-2.0" "gthread-2.0" "cairo" "librsvg-2.0" "dbus-1" "dbus-glib-1" "libxml-2.0" "gtkglext-1.0" "xrender" "libcurl")

pkg_check_modules ("XEXTEND" "xtst" "xcomposite" "xinerama")
if (${XEXTEND_FOUND})
	set (HAVE_XEXTEND 1)
	set (xextend_required "xtst xcomposite xinerama")  # pour le .pc
endif()

# We use crypt(3) which may be in libc, or in libcrypt (eg FreeBSD)
check_library_exists (crypt encrypt "" HAVE_LIBCRYPT)
if (${HAVE_LIBCRYPT})
	set (LIBCRYPT_LIBS "-lcrypt")
endif()

check_include_files ("math.h" HAVE_MATH_H)
check_symbol_exists (LC_MESSAGES "locale.h" HAVE_LC_MESSAGES)
CHECK_LIBRARY_EXISTS (m sin "" HAVE_LIBM)

MESSAGE (STATUS)
MESSAGE (STATUS "Cairo-Dock will be compiled with the following options :")
if (${XEXTEND_FOUND})
	MESSAGE (STATUS " * Use X Extensions : yes")
else()
	MESSAGE (STATUS " * Use X Extensions : no")
endif()
if (${HAVE_LIBCRYPT})
	MESSAGE (STATUS " * crypt passwords : yes")
else()
	MESSAGE (STATUS " * crypt passwords : no")
endif()
MESSAGE (STATUS)

########### next steps ###############

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

########### variables defined at compil time ###############

set (CAIRO_DOCK_SHARE_DATA_DIR ${pkgdatadir})
set (CAIRO_DOCK_SHARE_THEMES_DIR ${pkgdatadir}/themes)
set (CAIRO_DOCK_MODULES_DIR ${libdir}/cairo-dock)
set (CAIRO_DOCK_LOCALE_DIR ${datadir}/locale)
set (CAIRO_DOCK_THEMES_DIR "themes")
set (CAIRO_DOCK_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})

set (GLDI_SHARE_DATA_DIR ${pkgdatadir})

########### file generation ###############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake.in ${CMAKE_CURRENT_SOURCE_DIR}/src/config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock-simple.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock-simple.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/main-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/main-dock.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/themes.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/themes.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/help.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/help.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock.pc.in ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)

########### install files ###############

install (FILES cairo-dock-package-theme launch-cairo-dock-with-delay
	DESTINATION ${bindir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
install (FILES ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.pc DESTINATION ${libdir}/pkgconfig)

###########     misc      ###############
#set (CPACK_SOURCE_GENERATOR "TGZ")
#set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
#set (CPACK_SOURCE_IGNORE_FILES "/build/;/.bzr/;/.deps/;Makefile$;Makefile.in;.gmo$;/.libs/;.lo$;.la$;POTFILES;stamp-it;aclocal.m4;config.guess$;/config.h$;/config.h.in$;/config.log$;/config.status$;/config.sub$;/configure$;/depcomp$;/install-sh$;/libtool$;/ltmain.sh$;/missing$;/stamp-h1$;/compile;/CMakeFiles/;/_CPack_Packages/;/autom4te.cache/;/install_manifest.txt$;.tar.gz$;/CMakeCache.txt$;/cairo-dock$;/scripts/;/doc/;/data/themes.conf$;/data/cairo-dock.conf$;/data/main-dock.conf$;/data/cairo-dock-simple.conf$;/cairo-dock.pc$;.cmake$;~$;${CPACK_SOURCE_IGNORE_FILES}")
#include (CPack)  # a inclure apres les set.
#add_custom_target( dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)  # pour pouvoir l'appeler avec "make dist"

=== data/CMakeLists.txt ===
add_subdirectory(default-theme)
add_subdirectory(gauges)
add_subdirectory(explosion)
add_subdirectory(man)


########### install files ###############

install (FILES
	# lib
	rotate-desklet.svg
	retach-desklet.svg
	no-input-desklet.png
	depth-rotate-desklet.svg
	cairo-dock-ok.svg
	cairo-dock-cancel.svg
	hand.svg
	default-class-indicator.svg
	default-icon-appli.svg
	default-icon.svg
	default-indicator.png
	launcher.desktop
	container.desktop
	separator.desktop
	# implementations
	preview-default.png
	readme-default-view
	box-back.png
	box-front.png
	# appli
	cairo-dock-animated.xpm
	cairo-dock-logo.png
	cairo-dock.svg
	ChangeLog.txt
	icon-accessories.svg
	icon-all.svg
	icon-appearance.svg
	icon-background.svg
	icon-behavior.svg
	icon-bubble.png
	icon-buttons.png
	icon-close.png
	icon-connection.svg
	icon-controler.svg
	icon-desklets.png
	icon-desktop.svg
	icon-dialogs.svg
	icon-extensions.svg
	icon-files.svg
	icon-frame.png
	icon-fun.svg
	icon-gradation.png
	icon-help.svg
	icon-hidden-dock.svg
	icon-icons.svg
	icon-indicators.svg
	icon-internet.svg
	icon-labels.svg
	icon-lock-icons.svg
	icon-maximize.png
	icon-minimize.png
	icon-mouse.svg
	icon-movment.png
	icon-plug-ins.svg
	icon-position.svg
	icon-restore.png
	icon-subdock.png
	icon-system.svg
	icon-taskbar.png
	icon-views.svg
	icon-visibility.svg
	icon-wave.png
	DESTINATION ${pkgdatadir})

# appli
install (FILES help_scripts.sh
	DESTINATION ${pkgdatadir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

install (FILES
	# lib
	${CMAKE_CURRENT_BINARY_DIR}/main-dock.conf
	${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.conf
	# appli
	${CMAKE_CURRENT_BINARY_DIR}/cairo-dock-simple.conf
	${CMAKE_CURRENT_BINARY_DIR}/themes.conf
	${CMAKE_CURRENT_BINARY_DIR}/help.conf
	DESTINATION ${pkgdatadir})

# appli
install (FILES
	cairo-dock.svg
	DESTINATION ${datadir}/pixmaps)

install (FILES
	cairo-dock.desktop 		cairo-dock-cairo.desktop
	DESTINATION ${datadir}/applications)

=== src/CMakeLists.txt ===

add_subdirectory (icon-factory)
add_subdirectory (gldit)
add_subdirectory (implementations)

SET(cairo_dock_SRCS
	cairo-dock-default-view.c 			cairo-dock-default-view.h
	cairo-dock-menu.c 					cairo-dock-menu.h 
	cairo-dock-user-interaction.c 		cairo-dock-user-interaction.h 
	cairo-dock-gui-main.c 				cairo-dock-gui-main.h
	cairo-dock-gui-simple.c 			cairo-dock-gui-simple.h
	cairo-dock-gui-switch.c 			cairo-dock-gui-switch.h
	cairo-dock-gui-launcher.c 			cairo-dock-gui-launcher.h
	cairo-dock-gui-themes.c 			cairo-dock-gui-themes.h
)

########### compilation ###############

# Make sure the compiler can find include files from the libraries.
include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${XEXTEND_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

# Make sure the linker can find the libraries.
link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${XEXTEND_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

# Add executable that is built from the source files.
add_executable (${PROJECT_NAME}
	${cairo_dock_SRCS}
	cairo-dock.c)

# Link the executable to the librairies.
target_link_libraries (${PROJECT_NAME}
	${PACKAGE_LIBRARIES}
	${XEXTEND_LIBRARIES}
	${LIBCRYPT_LIBS}
	gldi
	icon-factory
	implementations)

# install the program once it is built.
install(
	TARGETS ${PACKAGE}
	DESTINATION bin)


if ("${build-desklet-standalone}" STREQUAL "yes")
	add_subdirectory (cairo-desklet)
endif()

=== data/default-theme/CMakeLists.txt ===
add_subdirectory(launchers)
add_subdirectory(plug-ins)


########### install files ###############

install(FILES
	cairo-dock.conf
	active.png
	bg.svg
	indicator.png
	DESTINATION ${pkgdatadir}/themes/_default_ )



#original Makefile.am contents follow:

#SUBDIRS = . launchers icons plug-ins
#
#themedir = ${pkgdatadir}/themes/_default_
#
#theme_DATA = \
#	cairo-dock.conf\
#	active.png\
#	bg.png\
#	cairo-dock-cancel.svg\
#	cairo-dock-ok.svg\
#	indicator.png\
#	separator.png
#	
#
#EXTRA_DIST = $(theme_DATA)
#

=== data/explosion/CMakeLists.txt ===

########### install files ###############

install(FILES  explosion.png DESTINATION ${pkgdatadir}/explosion )



#original Makefile.am contents follow:

#SUBDIRS = .
#
#explosiondir = ${pkgdatadir}/explosion
#
#explosion_DATA = \
#	explosion.png
#	
#	
#EXTRA_DIST = $(explosion_DATA)

=== data/man/CMakeLists.txt ===
INSTALL(FILES cairo-dock_en.1.gz
        DESTINATION "${mandir}/man1"
        PERMISSIONS OWNER_READ GROUP_READ WORLD_READ RENAME cairo-dock.1.gz)

############## Man pages ################ =>  # doesn't work... #
#FIND_PROGRAM(GZIP_TOOL
#             NAMES gzip
#             PATHS /bin
#                   /usr/bin
#                   /usr/local/bin)
#IF(NOT GZIP_TOOL)
#  MESSAGE(FATAL_ERROR "Unable to find 'gzip' program")
#ENDIF(NOT GZIP_TOOL)
#SET(cairo_dock_man_src cairo-dock_en.1) # cairo-dock_fr.1 cairo-dock_it.1)
#SET(cairo_dock_man_gz cairo-dock_en.1.gz)

# Compression of the manuals
#FOREACH(man ${cairo_dock_man_src})
#  ADD_CUSTOM_COMMAND(OUTPUT ${man}.gz
#                     COMMAND ${GZIP_TOOL} -c ${man} > ${man}.gz
#                     DEPENDS ${man}
#                     COMMENT "Building ${man}.gz")
#ENDFOREACH(man)
# Installation of the manuals

=== src/gldit/CMakeLists.txt ===

SET(core_lib_SRCS
	cairo-dock-struct.h
	cairo-dock-global-variables.h 
	# icons
	cairo-dock-icons.c 					cairo-dock-icons.h
	cairo-dock-icon-loader.c 			cairo-dock-icon-loader.h
	cairo-dock-indicator-manager.c 		cairo-dock-indicator-manager.h
	cairo-dock-applications-manager.c 	cairo-dock-applications-manager.h 
	cairo-dock-application-facility.c 	cairo-dock-application-facility.h
	cairo-dock-launcher-manager.c 		cairo-dock-launcher-manager.h
	cairo-dock-applet-manager.c 		cairo-dock-applet-manager.h
	cairo-dock-applet-facility.c 		cairo-dock-applet-facility.h
	cairo-dock-separator-manager.c 		cairo-dock-separator-manager.h
	cairo-dock-modules.c 				cairo-dock-modules.h
	# containers
	cairo-dock-container.c 				cairo-dock-container.h
	cairo-dock-desklet-manager.c 		cairo-dock-desklet-manager.h
	cairo-dock-desklet-factory.c 		cairo-dock-desklet-factory.h
	cairo-dock-dialog-factory.c 		cairo-dock-dialog-factory.h
	cairo-dock-dialog-manager.c 		cairo-dock-dialog-manager.h
	cairo-dock-flying-container.c 		cairo-dock-flying-container.h
	cairo-dock-dock-manager.c 			cairo-dock-dock-manager.h
	cairo-dock-dock-factory.c 			cairo-dock-dock-factory.h
	cairo-dock-dock-facility.c 			cairo-dock-dock-facility.h
	cairo-dock-callbacks.c 				cairo-dock-callbacks.h 
	cairo-dock-animations.c 			cairo-dock-animations.h
	cairo-dock-notifications.c 			cairo-dock-notifications.h
	cairo-dock-backends-manager.c 		cairo-dock-backends-manager.h
	cairo-dock-data-renderer.c 			cairo-dock-data-renderer.h
	cairo-dock-file-manager.c 			cairo-dock-file-manager.h
	cairo-dock-themes-manager.c 		cairo-dock-themes-manager.h
	cairo-dock-class-manager.c 			cairo-dock-class-manager.h
	cairo-dock-X-manager.c 				cairo-dock-X-manager.h
	cairo-dock-load.c 					cairo-dock-load.h 
	cairo-dock-opengl.c 				cairo-dock-opengl.h
	cairo-dock-opengl-path.c 			cairo-dock-opengl-path.h
	cairo-dock-opengl-font.c 			cairo-dock-opengl-font.h
	cairo-dock-surface-factory.c 		cairo-dock-surface-factory.h
	cairo-dock-draw.c 					cairo-dock-draw.h 
	cairo-dock-draw-opengl.c 			cairo-dock-draw-opengl.h
	# utilities
	cairo-dock-log.c 					cairo-dock-log.h
	cairo-dock-gui-manager.c 			cairo-dock-gui-manager.h
	cairo-dock-gui-factory.c 			cairo-dock-gui-factory.h
	eggaccelerators.c 					eggaccelerators.h
	cairo-dock-keybinder.c 				cairo-dock-keybinder.h
	cairo-dock-dbus.c 					cairo-dock-dbus.h 
	cairo-dock-X-utilities.c 			cairo-dock-X-utilities.h
	cairo-dock-keyfile-utilities.c 		cairo-dock-keyfile-utilities.h
	cairo-dock-packages.c 				cairo-dock-packages.h
	cairo-dock-particle-system.c 		cairo-dock-particle-system.h
	cairo-dock-emblem.c 				cairo-dock-emblem.h
	cairo-dock-task.c 					cairo-dock-task.h
	# parameters
	cairo-dock-internal-position.c 		cairo-dock-internal-position.h
	cairo-dock-internal-accessibility.c cairo-dock-internal-accessibility.h
	cairo-dock-internal-system.c 		cairo-dock-internal-system.h
	cairo-dock-internal-taskbar.c 		cairo-dock-internal-taskbar.h
	cairo-dock-internal-dialogs.c 		cairo-dock-internal-dialogs.h
	cairo-dock-internal-indicators.c 	cairo-dock-internal-indicators.h
	cairo-dock-internal-views.c 		cairo-dock-internal-views.h
	cairo-dock-internal-labels.c 		cairo-dock-internal-labels.h
	cairo-dock-internal-desklets.c 		cairo-dock-internal-desklets.h
	cairo-dock-internal-background.c 	cairo-dock-internal-background.h
	cairo-dock-internal-icons.c 		cairo-dock-internal-icons.h
	cairo-dock-config.c 				cairo-dock-config.h 
	texture-gradation.h
	texture-blur.h
)


########### compilation ###############

# Make sure the compiler can find include files from the libraries.
include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${XEXTEND_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

# Make sure the linker can find the libraries.
link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${XEXTEND_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

# Define the library
add_library ("gldi" SHARED ${core_lib_SRCS})
STRING (REGEX REPLACE "\\..*" "" SOVERSION "${VERSION}")
set_target_properties ("gldi" PROPERTIES
	# create *nix style library versions + symbolic links
	VERSION ${VERSION}
	SOVERSION ${SOVERSION}
	# allow creating static and shared libs without conflicts
	#CLEAN_DIRECT_OUTPUT 1
	# avoid conflicts between library and binary target names
	#OUTPUT_NAME ${PROJECT_NAME}
)

# Link the result to the librairies.
target_link_libraries("gldi"
	${PACKAGE_LIBRARIES}
	${XEXTEND_LIBRARIES}
	${LIBCRYPT_LIBS}
	icon-factory
	implementations)


configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gldi.pc.in ${CMAKE_CURRENT_BINARY_DIR}/gldi.pc)
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/gldi.pc DESTINATION ${libdir}/pkgconfig)
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so DESTINATION ${libdir})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so.${VERSION} DESTINATION ${libdir})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so.${SOVERSION} DESTINATION ${libdir})

########### install files ###############

install(FILES cairo-dock.h DESTINATION ${includedir}/cairo-dock)
install(FILES
	cairo-dock-struct.h 				cairo-dock-global-variables.h
	cairo-dock-icons.h 					cairo-dock-icon-loader.h
	cairo-dock-applications-manager.h 	cairo-dock-launcher-manager.h
	cairo-dock-separator-manager.h 		cairo-dock-applet-manager.h
	cairo-dock-backends-manager.h		cairo-dock-notifications.h
	
	cairo-dock-packages.h
	cairo-dock-data-renderer.h
	cairo-dock-dock-manager.h		
	cairo-dock-desklet-manager.h
	cairo-dock-dialog-manager.h
	cairo-dock-indicator-manager.h
	cairo-dock-themes-manager.h
	cairo-dock-gui-manager.h
	cairo-dock-file-manager.h
	cairo-dock-X-manager.h
	cairo-dock-class-manager.h
	cairo-dock-opengl.h
	cairo-dock-load.h
	cairo-dock-config.h
	cairo-dock-modules.h
	cairo-dock-container.h
	cairo-dock-dock-factory.h			cairo-dock-callbacks.h
	cairo-dock-desklet-factory.h
	cairo-dock-dialog-factory.h
	cairo-dock-flying-container.h
	
	cairo-dock-applet-multi-instance.h 	cairo-dock-applet-single-instance.h
	cairo-dock-applet-canvas.h			cairo-dock-applet-facility.h
	
	cairo-dock-internal-position.h 		cairo-dock-internal-accessibility.h
	cairo-dock-internal-system.h 		cairo-dock-internal-taskbar.h
	cairo-dock-internal-dialogs.h 		cairo-dock-internal-indicators.h
	cairo-dock-internal-views.h 		cairo-dock-internal-labels.h
	cairo-dock-internal-desklets.h 		cairo-dock-internal-background.h
	cairo-dock-internal-icons.h
	
	cairo-dock-draw.h					cairo-dock-draw-opengl.h
	cairo-dock-opengl-path.h 			cairo-dock-opengl-font.h 
	cairo-dock-particle-system.h		cairo-dock-emblem.h
	cairo-dock-X-utilities.h			cairo-dock-dbus.h
	cairo-dock-keyfile-utilities.h		cairo-dock-surface-factory.h
	cairo-dock-log.h					cairo-dock-keybinder.h
	cairo-dock-application-facility.h	cairo-dock-dock-facility.h
	cairo-dock-task.h
	cairo-dock-animations.h
	cairo-dock-gui-factory.h
	
	DESTINATION ${includedir}/cairo-dock/cairo-dock)

=== src/icon-factory/CMakeLists.txt ===

SET(icon_SRCS
	cairo-dock-launcher-factory.c 	cairo-dock-launcher-factory.h
	cairo-dock-application-factory.c 	cairo-dock-application-factory.h
	cairo-dock-separator-factory.c 	cairo-dock-separator-factory.h
	cairo-dock-applet-factory.c 		cairo-dock-applet-factory.h
	cairo-dock-desktop-file-factory.c 	cairo-dock-desktop-file-factory.h
)

add_library(icon-factory STATIC ${icon_SRCS})
add_definitions (-fPIC)

link_directories(
	${PACKAGE_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit)

########### install files ###############

install(FILES
	cairo-dock-application-factory.h 	cairo-dock-launcher-factory.h
	cairo-dock-separator-factory.h 	cairo-dock-applet-factory.h
	cairo-dock-desktop-file-factory.h
	DESTINATION ${includedir}/cairo-dock/icon-factory)

=== src/implementations/CMakeLists.txt ===

SET(impl_SRCS
	cairo-dock-gauge.c 				cairo-dock-gauge.h
	cairo-dock-graph.c 				cairo-dock-graph.h
	cairo-dock-hiding-effect.c	 	cairo-dock-hiding-effect.h
	cairo-dock-icon-container.c 	cairo-dock-icon-container.h
)

add_library(implementations STATIC ${impl_SRCS})
add_definitions (-fPIC)

link_directories(
	${PACKAGE_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/icon-factory
	${CMAKE_SOURCE_DIR}/src/implementations)

########### install files ###############

install (FILES
	cairo-dock-gauge.h	 	 	 cairo-dock-graph.h
	DESTINATION ${includedir}/cairo-dock/implementations)

=== data/default-theme/launchers/CMakeLists.txt ===

########### install files ###############

install(FILES  	01container.desktop 	01gcalctool.desktop 	01empathy.desktop 	01gimp.desktop 	01firefox.desktop 	01gnome-terminal.desktop 	01f-spot.desktop 	01inkscape.desktop 	DESTINATION ${pkgdatadir}/themes/_default_/launchers)



#original Makefile.am contents follow:

#launchersdir = ${pkgdatadir}/themes/_default_/launchers
#
#launchers_DATA = \
#	01gimp.desktop\
#	01firefox.desktop\
#	01gnome-terminal.desktop\
#	01thunderbird.desktop
#
#EXTRA_DIST = $(launchers_DATA)
#

=== data/default-theme/plug-ins/CMakeLists.txt ===
add_subdirectory(Animated-icons)
add_subdirectory(Clipper)
add_subdirectory(Dbus)
add_subdirectory(dialog-rendering)
add_subdirectory(dnd2share)
add_subdirectory(GMenu)
add_subdirectory(icon-effect)
add_subdirectory(illusion)
add_subdirectory(logout)
add_subdirectory(musicPlayer)
add_subdirectory(quick-browser)
add_subdirectory(rendering)
add_subdirectory(shortcuts)
add_subdirectory(showDesktop)
add_subdirectory(stack)
add_subdirectory(switcher)

########### install files ###############




#original Makefile.am contents follow:

#SUBDIRS = . Animated-icons\
#	 Clipper\
#	 Dbus\
#	 dialog-rendering\
#	 dnd2share\
#	 GMenu\
#	 icon-effect\
#	 illusion\
#	 logout\
#	 musicPlayer\
#	 quick-browser\
#	 rendering\
#	 shortcuts\
#	 showDesktop\
#	 stack\
#	 switcher

=== data/default-theme/plug-ins/logout/CMakeLists.txt ===

########### install files ###############

install(FILES  logout.conf DESTINATION ${pkgdatadir}/themes/_default_/plug-ins/logout )

## cairo-dock 2.1.3.10

=== debian/changelog ===
cairo-dock (2.1.3.10-4) unstable; urgency=low

  * Fix typo of install path.
    Changed from usr/share/dock to usr/share/doc.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 09 Oct 2010 06:57:03 +0900

cairo-dock (2.1.3.10-3) unstable; urgency=low

  * Add curl to Recommends (Closes: #594998).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 01 Sep 2010 06:02:54 +0900

cairo-dock (2.1.3.10-2) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * Change to upstream version.

  [ Youhei SASAKI ]
  * Add patch: replace_gnome-terminal_to_x-terminal-emulator.patch
    - use x-terminal-emulator in default launcher
  * Add patch: modified_clean_target.patch
    - don't remove data/*.conf 
  * Bump Standard Version: 3.9.1
  * Change cairo-dock metapackage: all -> any
    - cairo-dock depends cairo-dock-core package (any)
  * Add libxtst-dev to Build-Depends (Closes: #589073)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 06 Aug 2010 01:11:32 +0900

cairo-dock (2.1.3.10-1) unstable; urgency=low

  [ Youhei SASAKI ]
  * New upstream: 2.1.3.10
  * Drop obsoulte patches:
    - fix_lintian_interpreter_error.patch
    - replace_thunderbird_to_icedove.patch
  * Add patche: replace_firefox_to_iceweasel
  * remove unused files: dirs, lintian-overrides
  * update README.Debian:
    - add description about cairo-dock-package-theme,
      launch-cairo-dock-after-compiz.
  * update README.source: now using quilt instead of dpatch

  [ Nobuhiro Iwamatsu ]
  * Update debain/control.
   - Changed cairo-dock to metapackage.
   - Add cairo-dock-core package.
      This package provides cairo-dock core application.
   - Update description.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 14 May 2010 22:33:37 +0900

cairo-dock (2.1.3.5-2) unstable; urgency=low

  [ Youhei SASAKI ]
  * Update man file.

  [ Nobuhiro Iwamatsu ]
  * Add cairo-dock-plugins to Recommends.
  * Change source format 3.0/quilt.
  * Update debain/control.
    - Remove dpatch from build-depends.
    - Add quilt to build-depends.
  * Add debian/source/format.
  * Update debian/patches.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 25 Mar 2010 05:02:16 +0900

cairo-dock (2.1.3.5-1) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * New Upstream version 2.1.3.5
  * Update debian/control.
    - Update Homepage URL. (Closes: #570238)
  * Update man file.
    - Remove description of -F. (Closes: #572323)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 04 Mar 2010 21:29:33 +0900

cairo-dock (2.1.3.1-1) unstable; urgency=low

  [ Nobuhiro Iwamatsu ]
  * New Upstream version 2.1.3.1
    - Xinerama support. 
      Thanks package test for Pedro R. (Closes: #549005)
  * Update debian/control.
    - Change Maintainer.
      Debian Cairo-dock Maintainers
      <pkg-cairo-dock-devel@lists.alioth.debian.org>
    - Add Nobuhiro Iwamatsu and Youhei SASAKI to Uploaders.
    - Add VCS field.
    - Change section of cairo-dock-dev from x11 to devel.
    - Update description. (Closes: #551320)
  * Update debian/README.debian.
    - Add infomation of glitz support.
  * Update 01_fix_lintian_interpreter_error.dpatch

  [ Youhei SASAKI ]
  * Typo Fixed in README.debian

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 10 Feb 2010 01:38:19 +0900

cairo-dock (2.0.8.2-1) unstable; urgency=low

  * Initial release. (Closes: #493736)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 25 Sep 2009 07:34:31 +0900

=== debian/control ===
Source: cairo-dock
Section: x11
Priority: extra
Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
	Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, debhelper (>= 7), autotools-dev, intltool, pkg-config, 
		libcairo-dev, libdbus-1-dev, librsvg2-dev,  libxml2-dev, 
		libxrender-dev, libxtst-dev, libgtkglext1-dev,
		libdbus-glib-1-dev, libgtk2.0-dev, quilt
Standards-Version: 3.9.1
Homepage: http://www.glx-dock.org/
Vcs-Git: git://git.debian.org/pkg-cairo-dock/cairo-dock.git
Vcs-Browser: http://git.debian.org/git/pkg-cairo-dock/cairo-dock.git

Package: cairo-dock
Section: x11
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-core (= ${binary:Version}),cairo-dock-plugins (>= 2.1.3.10)
Conflicts: cairo-dock (<= 2.1.3.5-2)
Description: Light eye-candy fully themable animated dock for Linux desktop
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This is metapackage that provides the components necessary for running
 Cairo-dock. This installs a cairo-dock-core application and cairo-dock-plugins
 package easily.
 .
 And Cairo-dock installs cairo-dock-core and plugins and makes sense as
 Cairo-dock.

Package: cairo-dock-core
Section: x11
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: cairo-dock (<= 2.1.3.5-2)
Replaces: cairo-dock (<= 2.1.3.5-2)
Suggests: xcompmgr
Recommends: cairo-dock-plugins (>= 2.1.3.10), curl
Description: Light eye-candy fully themable animated dock for Linux desktop
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This package provides Cairo-dock-core application.

Package: cairo-dock-dev
Section: devel
Priority: extra
Architecture: any
Depends: cairo-dock-core (= ${binary:Version}), ${misc:Depends}
Description: Cairo-dock develpment file
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it. 
 .
 This package provides Cairo-dock development file.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_USER_FLAGS= --enable-xextend

=== debian/watch ===
version=3
https://launchpad.net/cairo-dock-core/+download .*/cairo-dock-([\d\.\-]+)(-.*)?.tar.gz

## cairo-dock 2.3.0~1

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ########### project ###############
 
 project ("cairo-dock")
-set (VERSION "2.2.0-4")
+set (VERSION "2.3.0~1")
 
 add_definitions (-std=c99 -Wstrict-prototypes -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) #-Wunreachable-code -Wno-unused-parameter -Wall 
 if (NOT ${CMAKE_BUILD_TYPE})
@@ -28,7 +28,7 @@
 set (CPACK_SOURCE_GENERATOR "TGZ")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
 set (CPACK_SOURCE_IGNORE_FILES 
-	"/build/;/.bzr/;bzrignore$;/config.h$;/scripts/;/doc/;/misc/;en_GB.po$;~$;${CPACK_SOURCE_IGNORE_FILES}")
+	"/build/;/.bzr/;bzrignore$;/config.h$;/gldi-config.h$;/scripts/;/doc/;/misc/;~$;${CPACK_SOURCE_IGNORE_FILES}")
 include (CPack)
 
 add_custom_target( dist
@@ -104,16 +104,19 @@
 
 set (CAIRO_DOCK_SHARE_DATA_DIR ${pkgdatadir})
 set (CAIRO_DOCK_SHARE_THEMES_DIR ${pkgdatadir}/themes)
-set (CAIRO_DOCK_MODULES_DIR ${libdir}/cairo-dock)
+#set (CAIRO_DOCK_MODULES_DIR ${libdir}/cairo-dock)
 set (CAIRO_DOCK_LOCALE_DIR ${datadir}/locale)
 set (CAIRO_DOCK_THEMES_DIR "themes")
 set (CAIRO_DOCK_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})
 
+set (GLDI_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})
 set (GLDI_SHARE_DATA_DIR ${pkgdatadir})
+set (GLDI_MODULES_DIR ${libdir}/cairo-dock)
 
 ########### file generation ###############
 
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake.in ${CMAKE_CURRENT_SOURCE_DIR}/src/config.h)
+configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock.conf)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/cairo-dock-simple.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/cairo-dock-simple.conf)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/data/main-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/data/main-dock.conf)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,14 +4,14 @@
 add_subdirectory (implementations)
 
 SET(cairo_dock_SRCS
-	cairo-dock-default-view.c 			cairo-dock-default-view.h
 	cairo-dock-menu.c 					cairo-dock-menu.h 
 	cairo-dock-user-interaction.c 		cairo-dock-user-interaction.h 
 	cairo-dock-gui-main.c 				cairo-dock-gui-main.h
 	cairo-dock-gui-simple.c 			cairo-dock-gui-simple.h
-	cairo-dock-gui-switch.c 			cairo-dock-gui-switch.h
-	cairo-dock-gui-launcher.c 			cairo-dock-gui-launcher.h
+	cairo-dock-gui-backend.c 			cairo-dock-gui-backend.h
+	cairo-dock-gui-items.c 				cairo-dock-gui-items.h
 	cairo-dock-gui-themes.c 			cairo-dock-gui-themes.h
+	cairo-dock-gui-commons.c 			cairo-dock-gui-commons.h
 )
 
 ########### compilation ###############

=== data/default-theme/launchers/CMakeLists.txt ===

########### install files ###############

install(FILES
	01container.desktop
	01gcalctool.desktop
	01empathy.desktop
	01gimp.desktop
	01firefox.desktop
	01gnome-terminal.desktop
	01f-spot.desktop
	01inkscape.desktop
	01separator.desktop
	01thunderbird.desktop
	02separator.desktop
	03separator.desktop
	DESTINATION ${pkgdatadir}/themes/_default_/launchers)

=== debian/changelog ===
cairo-dock (2.3.0~1-0ubuntu1) natty; urgency=low

  * New Upstream Version (LP: #723994)
  * Upstream short ChangeLog:
   - Updated translations
   - Updated the integration of the new versions of kwin and compiz
   - Updated default theme
   - Fixed a few bugs
   - Updated the man
  * debian/control:
   - Added suggests apps for cairo-dock-core (needed by the default theme)
   - Updated the description (from launchpad.net/cairo-dock)
   - Added cairo-dock-plug-ins as a new suggestion for cairo-dock-core
  * debian/patches:
   - Updated the default theme to use default apps of Ubuntu Natty 
  * Switch to dpkg-source 3.0 (quilt) format
  * Removed the desktop-file-category patch (sync with debian packages)
  * debian/rules:
   - Added a CMake flag to disable the gtk grip
   - No longer used simple-patchsys
  * Updated the debian/watch

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Thu, 17 Mar 2011 14:08:48 +0100

cairo-dock (2.2.0~4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #653702)
  * Fixed a few bugs:
   - Fixed a random crash if CD is launched much time before the WM
   - Improved the OpenGL backend.
   - Some Images paths were wrong
   - Icon label text was truncated (LP: #611738)
   - Fixed a bug when the font was too big
   - Gauges: Add a line return in order to read all Readme file
   - Dialogues don't respect selected font (LP: #518628)
  * data/help.conf.in:
   - Removed the Gnome-Panel: Used the right gconf key

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Wed, 06 Oct 2010 19:23:03 +0200

cairo-dock (2.2.0~2-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #638527)
  * Fixed a few bugs:
   - Third-party applets can be deleted if the user switch to offline
   - Fixed a crash when changing the theme
   - Fixed transparency for data-renderer texts
   - Installed in lib/ directory by default for 64bits architecture
   - Fixed the name of applets in the launchers config panel
   - Fixed address of third-party applets in the menu
   - Code cleaning.
  * Updated Translations
  * debian/patches
   - Updated 01-desktop-file-category.patch (desktop files has changed)
  * data/messages: Removed an useless file
  * Removed a few useless excecution rights.

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 18 Sep 2010 14:17:48 +0200

cairo-dock (2.2.0~0rc1-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #632055)
  * Fixed a few bugs on LP:
   - LP: #618336 all button tips visible if icons 'maximum zoom' set to 1.0
   - LP: #614686 create new sud-dock icon that looking like flat
   - LP: #612617 Add custom launchers or sub-docks, can't modify name.
   - LP: #612355 Add option in config file to set GL/Cairo mode            
   - LP: #611733 icon labels go off-screen
  * Fixed a crash when changing theme or gauges
  * Updated translations

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 07 Sep 2010 20:31:25 +0200

cairo-dock (2.2.0~0beta4-0ubuntu1) maverick; urgency=low

  * New Upstream Version (LP: #614624)
  * Fixed a few bugs on LP:
   - LP: #518453: Dock appears under all windows
                   (Compiz - fullscreen window)
   - LP: #521369: Separator are not removed when closing
                   grouped windows
   - LP: #521762: Some sentences are not correct
   - LP: #526466: Icons of apps with same class shouldn't
                   be stacked by default
   - LP: #535083: Dialogues looks ugly when a lot of them
                   appears at the same time
   - More details on the 'ChangeLog' file
  * debian/rules:
   - Autotools has been replaced by CMake
   - Man pages are now included in the source code
  * debian/copyright:
   - Updated with the new pathes and new files
  * debian/control:
   - Autotools has been replaced by CMake
   - Added libcurl4-gnutls-dev as Build-deps
   - Bump Standard-Version to 3.9.1
  * debian/cairo-dock-core.install:
   - Man pages are now included in the source code
   - All sonames are now installed into lib32 or lib64
  * debian/cairo-dock-dev.install:
   - pkgconfig is now installed into lib32 or lib64

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 09 Aug 2010 23:26:12 +0200

cairo-dock (2.1.3-10-lucid-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version (LP: #568083).
  * Fixed some bugs:
   - Fixed a important crash when read several xml data
   - LP: #521167 Cairo-dock crashes by theme changing
   - Fixed a bug with desklets buttons
   - Used icons of the system
   - Fixed a bug when removing a container with OpenGL backend
   - Fixed some typo on some define
   - Fixed a little bug in the drag motion
   - Reduced the disk access for SSD disk
  * Used the official Ubuntu Lucid theme.

  [ Iain Lane ]
  * debian/watch: Update to match current upstream version

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Tue, 20 Apr 2010 02:44:22 +0200

cairo-dock (2.1.3-6-0ubuntu1) lucid; urgency=low

  [ Matthieu Baerts (matttbe) ]
  * New Upstream Version. (LP: #521534)
  * Updated debian/watch and debian/copyright with LP account.
  * Removed debian/patches/02-merge-changelog.patch'
   - data/ChangeLog.txt has to respect a syntax and is used by CD.
  * debian/cairo-dock.1:
   - Updated with the latest release.
   - The domain name 'cairo-dock.org' has changed to 'glx-dock.org'
  * debian/control:
   - Changed the homepage and other links (glx-dock.org)
   - Updated cairo-dock-dev architecture to 'all' (it no longer contains compiled files)
  * debian/cairo-dock-dev.install
   - libcairo-dock.a and libcairo-dock.so no longer exist
  * debian/rules
   - removed uneeded changelog file
  * Updated debian/patches/01-desktop-file-category.patch

  [ Didier Roche ]
  * Fix debian/watch
  * Fix some issue in versionning
  * debian/control: clean the packaging and add right -plugins depends

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Mon, 01 Mar 2010 21:24:00 +0100

cairo-dock (2.0.9-0ubuntu1) karmic; urgency=low



=== debian/control ===
Source: cairo-dock
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Matthieu Baerts (matttbe) <matttbe@gmail.com>, Julien Lavergne <julien.lavergne@gmail.com>, Fabrice Rey <fabounet@glx-dock.org>
Build-Depends: 	cdbs, 
		debhelper (>= 7),
		cmake,
		libcairo2-dev, 
		libgtk2.0-dev, 
		librsvg2-dev,
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libxrender-dev,
		libxcomposite-dev,
		libgtkglext1-dev,
		libxinerama-dev,
		libglib2.0-dev,
		libcurl4-gnutls-dev,
		gawk
Standards-Version: 3.9.1
Homepage: http://www.glx-dock.org/

Package: cairo-dock
Section: graphics
Architecture: all
Conflicts: 	cairo-dock (<= 2.0.8.0)
Depends: 	cairo-dock-core (>= ${source:Version}),
		cairo-dock-plug-ins (>= ${source:Version}),
		${misc:Depends}
Description: A light and eye-candy dock to launch your programs (metapackage)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This metapackage provides the components necessary for running Cairo-Dock. It
 provides the Cairo-Dock core, a set of standard plugins and the files necessary
 to integrate Cairo-Dock with your desktop environment. 

Package: cairo-dock-core
Section: graphics
Architecture: any
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0) 
Depends: 	cairo-dock-data (>= ${source:Version}),
		${shlibs:Depends}, 
		${misc:Depends}
Recommends:	cairo-dock, cairo-dock-plug-ins
Suggests:	firefox, gnome-terminal, empathy, inkscape, gimp, shotwell, rhythmbox
Description: A light and eye-candy dock to launch your programs (core package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package is the core of Cairo-Dock project.

Package: cairo-dock-dev
Section: libdevel
Architecture: all
Depends: 	cairo-dock-core (>= ${source:Version}),
		${misc:Depends},
		cmake,
		libcairo2-dev, 
		libgtk2.0-dev, 
		librsvg2-dev,
		libdbus-glib-1-dev,
		libxml2-dev,
		libxtst-dev,
		libxrender-dev,
		libxcomposite-dev,
		libgtkglext1-dev,
		libxinerama-dev,
		libglib2.0-dev,
		gawk
Recommends:	cairo-dock-plug-ins
Description: A light and eye-candy dock to launch your programs (dev package)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package provides the include files and static library for cairo-dock 
 functions.

Package: cairo-dock-data
Section: graphics
Architecture: all
Conflicts: cairo-dock (<= 2.0.8.0)
Replaces: cairo-dock (<= 2.0.8.0) 
Depends: 	${shlibs:Depends}, 
		${misc:Depends}
Description: A light and eye-candy dock to launch your programs (common files)
 Cairo-Dock is a pretty, light and convenient interface to your desktop,
  able to replace advantageously your system panel! 
 It features multi-docks, taskbar, launchers and a lot of useful applets. 
 Applets can be detached from the dock to act as desktop widgets. 
 Numerous ready-to-use themes are downloadable in 1 click, and can be easily
  customized at your convenience.
 It can use hardware acceleration to be very fast and low on CPU.
 .
 Some screenshots are available : http://pics.glx-dock.org
 Development site: https://launchpad.net/cairo-dock
 .
 This package contains default icons and themes for Cairo-Dock.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

DH_ALWAYS_EXCLUDE=CVS:.bzr

DEB_CMAKE_EXTRA_FLAGS += -Denable_gtk_grip=yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk

DEB_INSTALL_CHANGELOGS_ALL := ChangeLog

get-orig-source:
	dh_testdir
	uscan --force-download --verbose --repack

=== debian/watch ===
version=3
https://launchpad.net/cairo-dock-core/+download .*/cairo-dock-([\d\.\-]+(?:~.*)?).tar.gz

## cairo-dock 2.3.0~2

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 ########### project ###############
 
 project ("cairo-dock")
-set (VERSION "2.3.0~1")
+set (VERSION "2.3.0~2")
 
 add_definitions (-std=c99 -Wstrict-prototypes -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration) #-Wunreachable-code -Wno-unused-parameter -Wall 
 if (NOT ${CMAKE_BUILD_TYPE})

=== debian/changelog ===
cairo-dock (2.3.0~2-0ubuntu1) oneiric; urgency=low

  * New upstream release. (LP: #786104)
  * Upstream ChangeLog:
   - Fixed a crash that occured when a class sub-dock was destroyed
      (LP: #773280)
   - Fixed a major bug where the dock couldn't re-appear after a
      menu has been triggerd from outside the dock (ie, from a shortcut)
  * debian/patches:
   - Added an upstream's patch to fix an annoying bug when we slowly
      leave the dock with the cursor on the edge of it

 -- Matthieu Baerts (matttbe) <matttbe@gmail.com>  Sat, 21 May 2011 21:03:26 +0200
